#define compatv 71
%{?compatv:%define compatfv 7.1}

%define _phplib %{_libdir}/php%{?compatv}
%define _extdir %{_phplib}/extensions

Summary: PHP - Allows setting the current process name
Summary(ko): php - 현재 프로세스 이름을 변경
Name: php%{?compatv}-proctitle
Version: 0.1.2
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: https://pecl.php.net/get/proctitle-%{version}.tgz
Patch0: proctitle-m4.patch
Patch1: proctitle-cli-only.patch
Patch2: proctitle-php7.patch

Requires: php%{?compatv}api
BuildRequires: php%{?compatv}-devel

%description
This extension allows changing the current process' name on Linux and *BSD systems.
This is useful when using pcntl_fork() to identify running processes in process list

%prep
%setup -q -n proctitle-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

/usr/bin/phpize%{?compatv}

CFLAGS="${RPM_OPT_FLAGS}"
./configure

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/proctitle.so %{buildroot}%{_extdir}/proctitle.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/cli
%{__cat} > %{buildroot}%{_sysconfdir}/php%{?compatv}.d/cli/proctitle.ini <<EOF
extension = proctitle.so
EOF

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/proctitle.so
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/cli/proctitle.ini

%changelog
* Fri Aug 12 2016 JoungKyun.Kim <http://oops.org> 1:0.1.2-1%{?dist}
- first build
- fixed on php 7
- restrict only cli mode
